tigase.jaxmpp.android

## Class Jaxmpp

- java.lang.Object
- - tigase.jaxmpp.core.client.JaxmppCore
  - - tigase.jaxmpp.j2se.Jaxmpp
    - - tigase.jaxmpp.android.Jaxmpp

-     public class Jaxmpp
      extends Jaxmpp

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.JaxmppCore

      `JaxmppCore.DefaultPacketWriter, JaxmppCore.LoggedInHandler, JaxmppCore.LoggedOutHandler`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.j2se.Jaxmpp

      `CONNECTOR_TYPE, EXCEPTION_KEY, LOGIN_TIMEOUT_KEY`

    - ### Fields inherited from class tigase.jaxmpp.core.client.JaxmppCore

      `AUTOADD_STANZA_ID_KEY, connector, context, defaultXMPPStream, eventBus, log, modulesManager, processor, properties, sessionLogic, sessionObject, streamsManager, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Jaxmpp()`
    `Jaxmpp(SessionObject sessionObject)`

  - ### Method Summary

    - ### Methods inherited from class tigase.jaxmpp.j2se.Jaxmpp

      `checkTimeouts, createConnector, disconnect, disconnect, disconnect, execute, getConnectionConfiguration, getExecutor, init, login, login, modulesInit, onConnectorStopped, onException, onResourceBindSuccess, onStreamError, onStreamResumed, onStreamTerminated, setExecutor, waitForDisconnectFinish, waitForLoginFinish`

    - ### Methods inherited from class tigase.jaxmpp.core.client.JaxmppCore

      `createEventBus, get, getConnector, getContext, getEventBus, getModule, getModulesManager, getProperties, getSessionObject, isConnected, isSecure, keepalive, onConnectorStateChanged, onStanzaReceived, onUnacknowledged, send, send, send, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jaxmpp

          public Jaxmpp()

    - #### Jaxmpp

          public Jaxmpp(SessionObject sessionObject)

Copyright © 2006–2023 Tigase. All rights reserved.